(DEFUN CL:DEFCONSTANT  (PARAMLIST / PARAM PRSCR SCRNAM ,SYMBOL ,VALUE)
  "Konstante in AutoLisp definieren"
  (IF (VL-CONSP PARAMLIST)
    (IF (< (LENGTH PARAMLIST) 2)
      (PROGN
        (*error* "Falsche Anzahl bentigter Parameter (CL:DEFCONSTANT '(SYMBOL VALUE))")
        (PRIN1)) 
      (PROGN
        (SETQ ,SYMBOL (NTH 0 PARAMLIST))
        (SETQ ,VALUE (NTH 1 PARAMLIST))
        (COND
          ((VL-SYMBOLP ,SYMBOL)
           (COND
             ((NOT (MEMBER ,SYMBOL *CL-PROTECTED-SYMBOLS*))
              (IF (VL-CATCH-ALL-ERROR-P (VL-CATCH-ALL-APPLY (QUOTE SET) (LIST ,SYMBOL ,VALUE)))
                (*error*
                  (strcat
                    "\nDas Symbol " (vl-symbol-name ,SYMBOL) " ist ein geschtztes Symbol und kann nicht benutzt werden"))
                (IF *CL-PROTECTED-SYMBOLS*
                  (PROGN (SETQ PRSCR (OPEN (SETQ SCRNAM (STRCAT (GETENV "temp") "\\pragmascript.lsp")) "w"))
                         (WRITE-LINE "(pragma '((unprotect-assign *cl-protected-symbols*)))" PRSCR)
                         (WRITE-LINE
                           (VL-PRIN1-TO-STRING
                             (LIST (QUOTE SETQ)
                                   (QUOTE *CL-PROTECTED-SYMBOLS*)
                                   (LIST (QUOTE CONS)
                                         (LIST (QUOTE QUOTE) ,SYMBOL)
                                         (QUOTE (QUOTE *CL-PROTECTED-SYMBOLS*)))))
                           PRSCR)
                         (WRITE-LINE
                           (STRCAT "(pragma '((protect-assign "
                                   (VL-SYMBOL-NAME ,SYMBOL)
                                   " *cl-protected-symbols*)))")
                           PRSCR)
                         (SETQ PRSCR (CLOSE PRSCR))
                         (LOAD SCRNAM)
                         ,VALUE)
                  (PROGN (SETQ PRSCR (OPEN (SETQ SCRNAM (STRCAT (GETENV "temp") "\\pragmascript.lsp")) "w"))
                         (WRITE-LINE
                           (VL-PRIN1-TO-STRING
                             (LIST (QUOTE SETQ)
                                   (QUOTE *CL-PROTECTED-SYMBOLS*)
                                   (LIST (QUOTE LIST)
                                         (LIST (QUOTE QUOTE) ,SYMBOL)
                                         (QUOTE (QUOTE *CL-PROTECTED-SYMBOLS*)))))
                           PRSCR)
                         (WRITE-LINE
                           (STRCAT "(pragma '((protect-assign "
                                   (VL-SYMBOL-NAME ,SYMBOL)
                                   " *cl-protected-symbols*)))")
                           PRSCR)
                         (SETQ PRSCR (CLOSE PRSCR))
                         (LOAD SCRNAM)
                         ,VALUE))))
             (T
              (*ERROR*
                (strcat
                  "\nDas Symbol " (VL-SYMBOL-NAME ,SYMBOL) " ist ein geschtztes Symbol und kann nicht benutzt werden")))))
          (T
           (*ERROR*
             "\nDie Konstante muss ein Symbol sein\nEingabe (cl:defconstant '(Name Wert))\n"
             )))))
    (PROGN
      (*error* "Falsche Anzahl bentigter Parameter (CL:DEFCONSTANT '(SYMBOL VALUE))")
      (PRIN1)) ))
;|Visual LISP Format Options
(120 2 4 0 nil "Ende von " 90 6 0 0 1 nil T nil T)
;*** KEINEN Text unterhalb des Kommentars hinzufgen! ***|;
